Package ru.bitel.bgbilling.plugins.message4user.common.service

# Interface MessagesForUsersService

    public interface MessagesForUsersService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteMessage​(int messageId)` |
  `java.util.List<IdTitle>` | `getGroupList()` |
  `int` | `getLastMessageId()` |
  `java.util.List<Message>` | `getMessageList()` |
  `java.util.List<Message>` | `getMessageListFromLastMessageId​(int latsMessageId, java.lang.String userId)` |
  `java.lang.String` | `getUserId()` |
  `java.util.Set<java.lang.Integer>` | `getUsersInGroup​(java.util.Set<java.lang.Integer> groups)` |
  `void` | `updateMessage​(Message message)` |
  `void` | `updateUserConfig​(int lastMessageId)` |

- ## Method Details

  - ### getMessageList

    java.util.List<Message> getMessageList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getMessageListFromLastMessageId

    java.util.List<Message> getMessageListFromLastMessageId​(int latsMessageId, java.lang.String userId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateMessage

    void updateMessage​(Message message) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteMessage

    void deleteMessage​(int messageId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getGroupList

    java.util.List<IdTitle> getGroupList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getLastMessageId

    int getLastMessageId() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateUserConfig

    void updateUserConfig​(int lastMessageId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getUsersInGroup

    java.util.Set<java.lang.Integer> getUsersInGroup​(java.util.Set<java.lang.Integer> groups) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getUserId

    java.lang.String getUserId() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`